<template>
  <div id="lists">
    <div class="firstList">
      <h2>First List</h2>
      <SingleList
        :items="Items"
        @itemclick="addItemSecondList"
      />

    </div>

    <div class="secondList">
      <h2>Second List</h2>
      <SingleList
        @itemclick="addItemFirstList"
        :items="modelValue"
      />
    </div>

  </div>
</template>

<script>
import SingleList from "./singleList.vue";
export default {
  name: "DualList",
  props: {
    allItems: Array,
    modelValue: Array,
  },
  emits: ["update:modelValue"],

  methods: {
    //add item in second list
    addItemSecondList(select) {
      this.$emit("update:modelValue", this.modelValue.concat(select));
    },

    //add item in first list
    addItemFirstList(select) {
      this.$emit(
        "update:modelValue",
        this.modelValue.filter((element) => select !== element)
      );
    },
  },
  computed: {
    Items() {
      const firstList = this.allItems.filter(
          (element) => !this.modelValue.find((element2) => element.id === element2.id)
          //Filtra e tieni tutti i prodotti che NON riesci a trovare nell'array selected comparando i rispettivi id
    
        ); 
        return firstList;
      }
      
    
  },
  components: { SingleList },
};
</script>

<style scoped>
#lists {
  display: flex;
  justify-content: space-around;
  align-items: center;
}
.firstList,
.secondList {
  padding-left: 20px;
  margin: 0 25px 20px;
  text-align: center;
  width: 100%;
  height: 500px;
  line-height: 70px;
  background: white;
  border: 1px solid rgba(74, 74, 74, 0.075);
  box-shadow: 0 1px 1px 0 rgba(0, 0, 0, 0.2), 0 1px 1px 0 rgba(0, 0, 0, 0.19);
  border-radius: 10px;
  color: #204056;
}
</style>